Subject: [PATCH v2 01/16] drivers: pwm: core: use a single of xlate function

From: [email-masked] (Brian Norris)
Date: Wed, 17 Jan 2018 15:14:19 -0800

On Tue, Jan 16, 2018 at 10:24:59AM +0200, Claudiu Beznea wrote:
> Please explain me further. From this I understand, as a general rule,
> that the device tree binaries from, e.g. 3 years ago, should be
> compatible with, e.g. the current version of kernel?

Yes.

https://www.kernel.org/doc/Documentation/devicetree/bindings/ABI.txt